# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExtractString

Function

Determines whether an Object can be converted to a String, and if so, extracts it.

Syntax
`
#include <dx/dx.h>
`

Object DXExtractString(Object o, char **cp)

Functional Details

If Object `o` contains a string, the routine extracts it and places a pointer to its first character in `*cp`. Strings may be extracted from any of the following:

- String Objects
- String lists containing a single element, such as those created by `DXMakeStringList` and `DXMakeStringListV`
- Array Objects containing data of Type `TYPE_UBYTE` with a single `NULL` at the end and no embedded `NULLS`. This is for backward compatibility only; its use is not recommended.

Return Value

Returns `o` and sets `cp` if a string can be extracted from `o`; otherwise, returns `NULL` without setting an error code.

See Also

`DXExtractFloat, DXExtractInteger, DXExtractNthString, DXExtractParameter, DXMakeStringList, DXMakeStringListV, DXQueryArrayConvert, DXQueryArrayConvertV, DXQueryParameter`

12.8 , "Extracting Module Parameters".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]